{
  "name": "naturalis/medialibrary-publisher",
  "description": "Medialibrary Media Publisher",
  "type": "project",
  "license": "GPL-3.0-or-later",
  "require": {
    "php": "8.3.*",
    "monolog/monolog": "3.*",
    "league/flysystem-aws-s3-v3": "^3.0",
    "phpmailer/phpmailer": "^6.6",
    "aws/aws-sdk-php": "^3.228",
    "ext-imagick": "*",
    "ext-pdo": "*",
    "ext-zip": "*",
    "symfony/mailer": "^6.1",
    "symfony/google-mailer": "^6.1",
    "ext-fileinfo": "*"
  },
  "autoload": {
    "psr-4": {
      "nl\\naturalis\\medialib\\publisher\\": "medialib/publisher",
      "nl\\naturalis\\medialib\\exporter\\": "medialib/exporter",
      "nl\\naturalis\\medialib\\util\\": "medialib/util"
    }
  },
  "require-dev": {
    "php-parallel-lint/php-parallel-lint": "^1.3",
    "squizlabs/php_codesniffer": "^3.6",
    "phpstan/phpstan": "^1.7",
    "enlightn/security-checker": "^2.0"
  },
  "scripts": {
    "test": [
      "@phplint",
      "@phpstan",
      "@phpsnif",
      "@securitychecker"
    ],
    "ci": [
      "@phplint",
      "@phpstan",
      "@phpsnif",
      "@securitychecker"
    ],
    "phplint": "vendor/bin/parallel-lint . --exclude vendor",
    "phpstan": "vendor/bin/phpstan analyse -c phpstan.neon --memory-limit 512M",
    "phpsnif": "vendor/bin/phpcs medialib --standard=PSR12 -n",
    "securitychecker": "vendor/bin/security-checker security:check composer.lock"
  }
}
